Bug 197078 - devel/awscli: Update to 1.7.4
Summary: devel/awscli: Update to 1.7.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brad Davis
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-01-25 22:45 UTC by Bradley T. Hughes
Modified: 2015-02-09 21:04 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (alexey)


Attachments
Patch to update awscli and dependencies to latest versions (3.12 KB, text/plain)
2015-01-25 22:45 UTC, Bradley T. Hughes
no flags Details
Updated patch (3.12 KB, patch)
2015-02-02 10:07 UTC, Bradley T. Hughes
no flags Details | Diff
Updated patch for 1.7.5 and 0.86.0, apply with patch -p1 (3.36 KB, patch)
2015-02-06 23:04 UTC, Bradley T. Hughes
no flags Details | Diff
regenerated patch with svn (2.67 KB, patch)
2015-02-09 20:47 UTC, Brad Davis
no flags Details | Diff
poudriere build log (176.50 KB, text/plain)
2015-02-09 20:48 UTC, Brad Davis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes freebsd_committer 2015-01-25 22:45:47 UTC
Created attachment 152134 [details]
Patch to update awscli and dependencies to latest versions

Attached is a patch (as a git commit) to upgrade devel/awscli and devel/py-botocore to the latest release versions.

devel/py-six has been removed as a runtime dependency, see https://github.com/boto/botocore/commit/3cf6dbc0365135b22e92f2da58e3fbf0d007e080
Comment 1 Bugzilla Automation freebsd_committer 2015-01-25 22:45:47 UTC
Maintainer CC'd
Comment 2 Bradley T. Hughes freebsd_committer 2015-02-02 10:07:03 UTC
Created attachment 152472 [details]
Updated patch

Newer versions of both devel/awscli and devel/py-botocore are available, so I've updated my patch.
Comment 3 Bradley T. Hughes freebsd_committer 2015-02-06 23:04:14 UTC
Created attachment 152643 [details]
Updated patch for 1.7.5 and 0.86.0, apply with patch -p1

Another release was made yesterday, I've updated again to make sure this is at the latest version.
Comment 4 Brad Davis freebsd_committer 2015-02-09 20:47:13 UTC
Created attachment 152818 [details]
regenerated patch with svn
Comment 5 Brad Davis freebsd_committer 2015-02-09 20:48:33 UTC
Created attachment 152819 [details]
poudriere build log
Comment 6 commit-hook freebsd_committer 2015-02-09 21:04:21 UTC
A commit references this bug:

Author: brd
Date: Mon Feb  9 21:03:29 UTC 2015
New revision: 378755
URL: https://svnweb.freebsd.org/changeset/ports/378755

Log:
  Update devel/awscli to 1.7.4 and devel/py-botocore to 0.86

  PR:		197078
  Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm>
  Approved by:	bapt

Changes:
  head/devel/awscli/Makefile
  head/devel/awscli/distinfo
  head/devel/py-botocore/Makefile
  head/devel/py-botocore/distinfo
Comment 7 Brad Davis freebsd_committer 2015-02-09 21:04:50 UTC
Commited. Thank you for your submission!